## org.h2.mvstore.type
Interface DataTypeFactory

All Known Implementing Classes:
  ObjectTypeFactory, SampleTypeFactory

    public interface DataTypeFactory

A factory for maps and data types.

Method Summary
`DataType` `buildDataType(java.lang.String dataType)` Parse the data type.
`java.lang.String` `getDataType(java.lang.Class<?> objectClass)` Get the data type identifier for the given class.
`void` `setParent(DataTypeFactory parent)` Set the parent factory.

Method Detail

### setParent

    void setParent(DataTypeFactory parent)

  Set the parent factory.

  Parameters:
    `parent` - the parent factory

### buildDataType

    DataType buildDataType(java.lang.String dataType)

  Parse the data type.

  Parameters:
    `dataType` - the string and type specific meta data
  Returns:
    the type, or null if unknown

### getDataType

    java.lang.String getDataType(java.lang.Class<?> objectClass)

  Get the data type identifier for the given class.

  To avoid conflict with the default factory, the returned string should start with the package name of the type factory.

  Parameters:
    `objectClass` - the class
  Returns:
    the data type identifier, or null if not supported